com.sun.jna.platform.linux

## Interface Mman

    public interface Mman

Definitions for POSIX memory map interface from `mman.h`

### Field Summary

Fields
`static int` `MAP_32BIT`
`static int` `MAP_ANON`
`static int` `MAP_ANONYMOUS`
`static int` `MAP_DENYWRITE`
`static int` `MAP_EXECUTABLE`
`static Pointer` `MAP_FAILED`
`static int` `MAP_FILE`
`static int` `MAP_FIXED`
`static int` `MAP_FIXED_NOREPLACE`
`static int` `MAP_GROWSDOWN`
`static int` `MAP_HUGETLB`
`static int` `MAP_LOCKED`
`static int` `MAP_NONBLOCK`
`static int` `MAP_NORESERVE`
`static int` `MAP_POPULATE`
`static int` `MAP_PRIVATE`
`static int` `MAP_SHARED`
`static int` `MAP_SHARED_VALIDATE`
`static int` `MAP_STACK`
`static int` `MAP_SYNC`
`static int` `MAP_TYPE`
`static int` `MS_ASYNC`
`static int` `MS_INVALIDATE`
`static int` `MS_SYNC`
`static int` `PROT_EXEC`
`static int` `PROT_GROWSDOWN`
`static int` `PROT_GROWSUP`
`static int` `PROT_NONE`
`static int` `PROT_READ`
`static int` `PROT_WRITE`

### Field Detail

#### PROT_READ

    static final int PROT_READ

See Also:
  Constant Field Values

#### PROT_WRITE

    static final int PROT_WRITE

See Also:
  Constant Field Values

#### PROT_EXEC

    static final int PROT_EXEC

See Also:
  Constant Field Values

#### PROT_NONE

    static final int PROT_NONE

See Also:
  Constant Field Values

#### PROT_GROWSDOWN

    static final int PROT_GROWSDOWN

See Also:
  Constant Field Values

#### PROT_GROWSUP

    static final int PROT_GROWSUP

See Also:
  Constant Field Values

#### MAP_SHARED

    static final int MAP_SHARED

See Also:
  Constant Field Values

#### MAP_PRIVATE

    static final int MAP_PRIVATE

See Also:
  Constant Field Values

#### MAP_SHARED_VALIDATE

    static final int MAP_SHARED_VALIDATE

See Also:
  Constant Field Values

#### MAP_TYPE

    static final int MAP_TYPE

See Also:
  Constant Field Values

#### MAP_FILE

    static final int MAP_FILE

See Also:
  Constant Field Values

#### MAP_FIXED

    static final int MAP_FIXED

See Also:
  Constant Field Values

#### MAP_ANONYMOUS

    static final int MAP_ANONYMOUS

See Also:
  Constant Field Values

#### MAP_ANON

    static final int MAP_ANON

See Also:
  Constant Field Values

#### MAP_32BIT

    static final int MAP_32BIT

See Also:
  Constant Field Values

#### MAP_GROWSDOWN

    static final int MAP_GROWSDOWN

See Also:
  Constant Field Values

#### MAP_DENYWRITE

    static final int MAP_DENYWRITE

See Also:
  Constant Field Values

#### MAP_EXECUTABLE

    static final int MAP_EXECUTABLE

See Also:
  Constant Field Values

#### MAP_LOCKED

    static final int MAP_LOCKED

See Also:
  Constant Field Values

#### MAP_NORESERVE

    static final int MAP_NORESERVE

See Also:
  Constant Field Values

#### MAP_POPULATE

    static final int MAP_POPULATE

See Also:
  Constant Field Values

#### MAP_NONBLOCK

    static final int MAP_NONBLOCK

See Also:
  Constant Field Values

#### MAP_STACK

    static final int MAP_STACK

See Also:
  Constant Field Values

#### MAP_HUGETLB

    static final int MAP_HUGETLB

See Also:
  Constant Field Values

#### MAP_SYNC

    static final int MAP_SYNC

See Also:
  Constant Field Values

#### MAP_FIXED_NOREPLACE

    static final int MAP_FIXED_NOREPLACE

See Also:
  Constant Field Values

#### MAP_FAILED

    static final Pointer MAP_FAILED

#### MS_ASYNC

    static final int MS_ASYNC

See Also:
  Constant Field Values

#### MS_SYNC

    static final int MS_SYNC

See Also:
  Constant Field Values

#### MS_INVALIDATE

    static final int MS_INVALIDATE

See Also:
  Constant Field Values

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.